const searchKeyword = getUrlVars()["q"];
$("#search-banner .banner-title .query").append(searchKeyword);
$(document).ready(function () {
  let numberOfResults = 0;
  if (
    !$(".search-summary")
      .text()
      .includes("Your search did not match any documents")
  ) {
    $("#search-banner .banner-title").prepend($(".search-summary"));
    numberOfResults = $("#search-results ul.search li").length;
  } else {
    $(".search-summary").text("No results found.");
  }
  window._paq.push(["trackSiteSearch", searchKeyword, false, numberOfResults]);
});

function getUrlVars() {
  var vars = {};
  var parts = window.location.href.replace(
    /[?&]+([^=&]+)=([^&]*)/gi,
    function (m, key, value) {
      vars[key] = decodeURIComponent(value.replace(/\+/g, " "));
      const lastChar = vars[key].slice(-1);
      if (lastChar === "#") {
        vars[key] = vars[key].slice(0, -1);
      }
    },
  );
  return vars;
}
