(function () {
  $(
    "#menu .sidebartoctree > ul .toctree-l2 ul li a, #menu .sidebartoctree > ul .toctree-l3 ul li a",
  ).each((index, el) => {
    const href = el.getAttribute("href");
    if (href && !href.includes("#")) {
      el.parentElement.parentElement.parentElement.classList.add(
        "has-sub-level",
      );
    }
  });

  /* Open current menu */
  var currentMenu = $(".current.reference.internal");
  if (currentMenu.length) {
    currentMenu.toggleClass("open");
    var subMenu = currentMenu.closest("ul");
    if (subMenu.length) {
      subMenu.toggleClass("open");
    }

    /* The menu icon is set according to the href of the menu item.
     * Sphinx sets the href to "#" for the current element.
     * This sets the href of the currently selected menu item
     * to display the correct icon */
    currentMenu.attr("href", window.location.pathname);
  }

  const currentL2 = $(
    ".toctree-l2.current.has-sub-level, .toctree-l3.current.has-sub-level",
  );
  if (currentL2.length) {
    currentL2.children("a").toggleClass("open");
  }

  /* Toggle collapse */
  $(
    "#menu .sidebartoctree > ul .toctree-l1 > a, " +
      "#menu .sidebartoctree > ul .toctree-l2.has-sub-level > a, " +
      "#menu .sidebartoctree > ul .toctree-l3.has-sub-level > a",
  ).click(function (e) {
    var submenu = $(e.target).next("ul");
    if (submenu.length) {
      e.preventDefault();
      e.stopPropagation();
      submenu.toggleClass("open");
      if (submenu.hasClass("open")) {
        $(e.target).addClass("open");
      } else {
        $(e.target).removeClass("open");
      }
    }
  });
})();
